List conversations
GET
/projects/{projectId}/conversations
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Query Parameters
status
string
optional
query
priority
string
optional
query
channel
string
optional
query
assigned_to
string
optional
query
contact_id
string
optional
query
q
string
optional
query
cursor
string
optional
query
limit
integer
optional
query
sort
string
optional
query
order
string
optional
query
Responses
200
Paginated list of conversations
application/jsondata
object[]
Array of:
id
string
project_id
string
contact_id
string | null
subject
string | null
status
string
Enum:
open, snoozed, resolved, closedpriority
string
Enum:
low, normal, high, urgentchannel
string
Enum:
email, chat, slack, discord, telegram, api, widgetassigned_to
string | null
tags
string[]
Array of:
ai_resolved
boolean
created_at
string (date-time)
updated_at
string (date-time)
cursor
string | null
has_more
boolean
401
Unauthorized
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/conversations' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/conversations', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/conversations', headers=headers)print(response.json())
200
Response
{ "data": [ { "id": "<string>", "project_id": "<string>", "contact_id": "<string>", "subject": "<string>", "status": "open", "priority": "low", "channel": "email", "assigned_to": "<string>", "tags": [ "<string>" ], "ai_resolved": true, "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-01T00:00:00Z" } ], "cursor": "<string>", "has_more": true}
API Playground
Try this endpoint
GET
/projects/{projectId}/conversations